Bug 219322 - net/py-avahi: does not work with Python3
Summary: net/py-avahi: does not work with Python3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-gnome (Nobody)
URL:
Keywords:
Depends on:
Blocks: 250328
  Show dependency treegraph
 
Reported: 2017-05-16 10:14 UTC by Johannes Jost Meixner
Modified: 2020-10-13 21:56 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (gnome)


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Jost Meixner freebsd_committer 2017-05-16 10:14:07 UTC
net/py-avahi can't be installed, because it depends on devel/py-dbus which is python2 only. Even after installing that one, the file avahi is looking for can't be found.

Either mark the port python:2 only, or implement a mechanism to detect the installed python default.

Also note that it would be a good idea to deprecate pkg-plist in favor of autoplist, if Python3 support is what is aimed at.
Comment 1 commit-hook freebsd_committer 2017-05-17 10:36:16 UTC
A commit references this bug:

Author: kwm
Date: Wed May 17 10:35:04 UTC 2017
New revision: 441076
URL: https://svnweb.freebsd.org/changeset/ports/441076

Log:
  py-avahi is python 2 only.

  PR:		219322
  Submitted by:	xmj@

Changes:
  head/net/py-avahi/Makefile
Comment 2 commit-hook freebsd_committer 2017-05-17 10:39:11 UTC
A commit references this bug:

Author: kwm
Date: Wed May 17 10:35:04 UTC 2017
New revision: 441076
URL: https://svnweb.freebsd.org/changeset/ports/441076

Log:
  py-avahi is python 2 only.

  PR:		219322
  Submitted by:	xmj@

Changes:
  head/net/py-avahi/Makefile
Comment 3 commit-hook freebsd_committer 2017-05-17 10:40:36 UTC
A commit references this bug:

Author: kwm
Date: Wed May 17 10:35:04 UTC 2017
New revision: 441076
URL: https://svnweb.freebsd.org/changeset/ports/441076

Log:
  py-avahi is python 2 only.

  PR:		219322
  Submitted by:	xmj@

Changes:
  head/net/py-avahi/Makefile
Comment 4 commit-hook freebsd_committer 2017-05-17 10:41:40 UTC
A commit references this bug:

Author: kwm
Date: Wed May 17 10:35:04 UTC 2017
New revision: 441076
URL: https://svnweb.freebsd.org/changeset/ports/441076

Log:
  py-avahi is python 2 only.

  PR:		219322
  Submitted by:	xmj@

Changes:
  head/net/py-avahi/Makefile
Comment 5 Koop Mast freebsd_committer 2017-05-17 10:44:03 UTC
Committed the python 2 restriction, thanks!